Get a function
curl --request GET \
--url https://api.nango.dev/integrations/{uniqueKey}/functions/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nango.dev/integrations/{uniqueKey}/functions/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nango.dev/integrations/{uniqueKey}/functions/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "<string>",
"type": "sync",
"returns": [
"<string>"
],
"json_schema": {},
"runs": "<string>",
"auto_start": true,
"track_deletes": true,
"id": 123,
"enabled": true,
"last_deployed": "2023-11-07T05:31:56Z",
"description": "<string>",
"scopes": [
"<string>"
],
"input": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}Functions
Get a function
Returns a single deployed function. Requires an API key with the environment:functions:read scope.
GET
/
integrations
/
{uniqueKey}
/
functions
/
{name}
Get a function
Requires an API key with the
environment:functions:read scope. Learn more about API key scopes.Authorizations
The secret key from your Nango environment.
Path Parameters
The integration ID (unique_key) that you created in Nango.
The name of the function.
Query Parameters
Disambiguates when multiple functions share the same name.
Available options:
sync, action, on-event Response
Successfully returned the function
A deployed function (sync, action, or on-event) merged with its deployment metadata.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?
⌘I